package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class GetAllAssesmentName implements Serializable {

    @SerializedName("response")
    @Expose
    private String response;
    @SerializedName("data")
    @Expose
    private AssessmentName assessmentName;
    @SerializedName("message")
    @Expose
    private String message;
    @SerializedName("response_text")
    @Expose
    private String responseText;
    @SerializedName("status")
    @Expose
    private Integer status;
    private final static long serialVersionUID = -2398605471422177785L;

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public AssessmentName getAssessmentName() {
        return assessmentName;
    }

    public void setAssessmentName(AssessmentName assessmentName) {
        this.assessmentName = assessmentName;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getResponseText() {
        return responseText;
    }

    public void setResponseText(String responseText) {
        this.responseText = responseText;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public static class AssessmentName implements Serializable {

        @SerializedName("pre")
        @Expose
        private String pre;
        @SerializedName("post")
        @Expose
        private String post;
        private final static long serialVersionUID = -4007374496995012344L;

        public String getPre() {
            return pre;
        }

        public void setPre(String pre) {
            this.pre = pre;
        }

        public String getPost() {
            return post;
        }

        public void setPost(String post) {
            this.post = post;
        }

    }
}